Polynomial Class Reference

`#include <Polynomial.h>`

## Classes

struct | CoefTerm

## Public Member Functions

| Polynomial ()
| Polynomial (size_t varCount)
size_t | getVarCount () const
size_t | getTermCount () const
const mpz_class & | getCoef (size_t index) const
const Term & | getTerm (size_t index) const
void | add (const mpz_class &coef, const Term &term)
void | sortTermsReverseLex (bool collect=true)
void | clear ()
void | clearAndSetVarCount (size_t varCount)
void | print (FILE *out)
void | print (ostream &out)

## Private Attributes

vector< CoefTerm > | _terms
size_t | _varCount

## Detailed Description

Definition at line 23 of file Polynomial.h.

## Constructor & Destructor Documentation

## Polynomial() [1/2]

Polynomial::Polynomial | ( |  | ) |

Definition at line 24 of file Polynomial.cpp.

## Polynomial() [2/2]

Polynomial::Polynomial | ( | size_t | varCount | ) |

Definition at line 28 of file Polynomial.cpp.

## Member Function Documentation

## add()

void Polynomial::add | ( | const mpz_class & | coef,
|  | const Term & | term )

Definition at line 55 of file Polynomial.cpp.

## clear()

void Polynomial::clear | ( |  | ) |

Definition at line 106 of file Polynomial.cpp.

## clearAndSetVarCount()

void Polynomial::clearAndSetVarCount | ( | size_t | varCount | ) |

Definition at line 50 of file Polynomial.cpp.

## getCoef()

const mpz_class & Polynomial::getCoef | ( | size_t | index | ) | const

Definition at line 40 of file Polynomial.cpp.

## getTerm()

const Term & Polynomial::getTerm | ( | size_t | index | ) | const

Definition at line 45 of file Polynomial.cpp.

## getTermCount()

size_t Polynomial::getTermCount | ( |  | ) | const

Definition at line 36 of file Polynomial.cpp.

## getVarCount()

size_t Polynomial::getVarCount | ( |  | ) | const

Definition at line 32 of file Polynomial.cpp.

## print() [1/2]

void Polynomial::print | ( | FILE * | out | ) |

Definition at line 110 of file Polynomial.cpp.

## print() [2/2]

void Polynomial::print | ( | ostream & | out | ) |

Definition at line 116 of file Polynomial.cpp.

## sortTermsReverseLex()

void Polynomial::sortTermsReverseLex | ( | bool | collect = true | ) |

Definition at line 71 of file Polynomial.cpp.

## Member Data Documentation

## _terms

vector<CoefTerm> Polynomial::_terms

private

Definition at line 57 of file Polynomial.h.

## _varCount

size_t Polynomial::_varCount

private

Definition at line 58 of file Polynomial.h.

The documentation for this class was generated from the following files:

- src/Polynomial.h
- src/Polynomial.cpp